LINUX.ORG.RU

[RPM] сборка


0

0

Собираю RPM пакет:

Name:		conkeror
Version:	2.0
Release:	1
Summary:	Web-browser with emacs-like managment

Group:		Application/Internet
License:	Mozilla Public Licence v1.1
URL:		http://conkeror.org
Source0:	conkeror-2.0.tar.gz
BuildRoot:	/var/tmp/%{name}-buildroot


%description
Light Web-browser with emacs-like managment.

%prep  
%setup -q

%build
./configure --prefix=$RPM_BUILD_ROOT/usr
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING INSTALL CREDITS 

%changelog

$rpmbuild -bb --clean SPECS/conkeror-2.0.spec выдает следующее:

/var/tmp/rpm-tmp.Zf7mLY: line 38: cd: conkeror-2.0: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.Zf7mLY (%prep)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.Zf7mLY (%prep)

/var/tmp/rpm-tmp.Zf7mLy:

wlan@desktop> cat /var/tmp/rpm-tmp.Zf7mLY                             ~/rpmbuild
#!/bin/sh

  RPM_SOURCE_DIR="/home/wlan/rpmbuild/SOURCES"
  RPM_BUILD_DIR="/home/wlan/rpmbuild/BUILD"
  RPM_OPT_FLAGS="-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic"
  RPM_ARCH="x86_64"
  RPM_OS="linux"
  export RPM_SOURCE_DIR RPM_BUILD_DIR RPM_OPT_FLAGS RPM_ARCH RPM_OS
  RPM_DOC_DIR="/usr/share/doc"
  export RPM_DOC_DIR
  RPM_PACKAGE_NAME="conkeror"
  RPM_PACKAGE_VERSION="2.0"
  RPM_PACKAGE_RELEASE="1"
  export RPM_PACKAGE_NAME RPM_PACKAGE_VERSION RPM_PACKAGE_RELEASE
  LANG=C
  export LANG
  unset CDPATH DISPLAY ||:
  RPM_BUILD_ROOT="/home/wlan/rpmbuild/BUILDROOT/conkeror-2.0-1.x86_64"
  export RPM_BUILD_ROOT
  
  PKG_CONFIG_PATH="/usr/lib64/pkgconfig:/usr/share/pkgconfig"
  export PKG_CONFIG_PATH
  
  set -x
  umask 022
  cd "/home/wlan/rpmbuild/BUILD"
LANG=C
export LANG
unset DISPLAY
  
cd '/home/wlan/rpmbuild/BUILD'
rm -rf 'conkeror-2.0'
/usr/bin/gzip -dc '/home/wlan/rpmbuild/SOURCES/conkeror-2.0.tar.gz' | /bin/tar -xf - 
STATUS=$?
if [ $STATUS -ne 0 ]; then
  exit $STATUS
fi
cd 'conkeror-2.0'
/bin/chmod -Rf a+rX,u+w,g-w,o-w .

exit 0%   

при выставлении опции -a -b или -n рпмбилд пишет что неверная опция.

ЧЯДНТ?

★★

не зря тебя забанили. Ты бы посмотрел куда исходники распаковываются

anonymous ()

Анонимус правильно намекает.

Hint: посмотри, что внутри архива (tar tzf) и почитай мануалы про опцию -n макроса %setup.

nnz ★★★★ ()
Ответ на: комментарий от wlan

>про опцию -n читал, ставлю %setup -n рпмбилд на нее ругается

А написать после -n правильное имя каталога никак нельзя?

// Если файлы в тарболе не засунуты в единый каталог, то, во-первых, за такое надо бить ломом по голени, во-вторых, нужна опция -c.

nnz ★★★★ ()
Ответ на: комментарий от catap

> через git tar-tree я надеюсь?

wlan и в африке wlan, если не через жопу сделает, да еще с первого раза соберет RPM, то конец света наступит в 2010 году.

anonymous ()
Ответ на: комментарий от catap

все оказалось намного проще, просто надо внимательнее читать официальные доки по программам, там и сборка никакая не требуется

wlan ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.